Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jgoodies.looks
Interface FontPolicy

    public interface FontPolicy

Looks up and returns a FontSet.

Since:
  2.0
Version:
  $Revision: 1.6 $
Author:
  Karsten Lentzsch
See Also:
  `FontSet`, `FontPolicies`

Method Summary
`FontSet` | `getFontSet(String lafName, UIDefaults table)` Looks up and returns a set of fonts that will be used by a Look&Feel to set the default fonts for its components.

Method Detail

### getFontSet

    FontSet getFontSet(String lafName,
                       UIDefaults table)

  Looks up and returns a set of fonts that will be used by a Look&Feel to set the default fonts for its components.

  This method is invoked during the L&F component initialization. And the invoker hands over the UIDefaults object used to define the component settings. Hence, the UIDefaults object may be used to look up a font as initialized by a super Look&Feel. For example the JGoodies Windows L&F could use the defaults set by the super L&F, the Sun Windows L&F.

  Parameters:
    `lafName` - the name of the Look&Feel that requests the fonts
    `table` - the UIDefaults table that can be used to look up fonts of a super L&F
  Returns:
    a set of fonts used as default for the component.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 JGoodies Karsten Lentzsch. All Rights Reserved.